Improve this doc View source

# `pfCardView`
directive in module `patternfly.views`

## Description

Directive for rendering cards in a view

## Usage

as attribute

    <ANY pf-card-view
         config="{object}"
         items="{Array}">
       ...
    </ANY>

#### Parameters

Param | Type | Details
--- | --- | ---

config

object

configuration settings for the cards:

- .showSelectBox - (boolean) Show item selection boxes for each item, default is true
- .selectItems - (boolean) Allow card selection, default is false
- .dlbClick - (boolean) Handle double clicking (item remains selected on a double click). Default is false.
- .multiSelect - (boolean) Allow multiple card selections, selectItems must also be set, not applicable when dblClick is true. Default is false
- .selectionMatchProp - (string) Property of the items to use for determining matching, default is 'uuid'
- .selectedItems - (array) Current set of selected items
- .checkDisabled - ( function(item) ) Function to call to determine if an item is disabled, default is none
- .onCheckBoxChange - ( function(item) ) Called to notify when a checkbox selection changes, default is none
- .onSelect - ( function(item, event) ) Called to notify of item selection, default is none
- .onSelectionChange - ( function(items) ) Called to notify when item selections change, default is none
- .onClick - ( function(item, event) ) Called to notify when an item is clicked, default is none
- .onDblClick - ( function(item, event) ) Called to notify when an item is double clicked, default is none

items | Array | the data to be shown in the cards

## Example

#### Source

#### Demo